Bug 429816 - it s impossible to modify a port of the openvpn server in Networkmanager
it s impossible to modify a port of the openvpn server in Networkmanager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 03:08 EST by Eric Doutreleau
Modified: 2008-02-28 16:42 EST (History)
0 users

See Also:
Fixed In Version: 0.7.0-8.svn3302.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 16:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
latest svn snapshot (992.86 KB, application/x-rpm)
2008-02-01 11:17 EST, Christoph Höger
no flags Details

  None (edit)
Description Eric Doutreleau 2008-01-23 03:08:28 EST
Description of problem:
when configurin an openvpn connection i can't change the port of the server

Version-Release number of selected component (if applicable):
NetworkManager-openvpn-0.7.0-6.svn3169.fc8
How reproducible:
always

Steps to Reproduce:
1. create an openvpn connection
2. change the port of the server
3. save
4 reopen the configuraton
  
Actual results:
it s still the openvpn port

Expected results:
It should be the port we enter before.

Additional info:
if i run the connection the port used is the openvpn default port and not the
one i entered.
Comment 1 Tim Niemueller 2008-01-27 07:09:39 EST
A patch has been proposed on the NM mailing list. I'm going to try this out and
then post a new update.
Comment 2 Christoph Höger 2008-02-01 11:17:31 EST
Created attachment 293744 [details]
latest svn snapshot
Comment 3 Christoph Höger 2008-02-01 11:18:11 EST
use this package if you need a changed port urgent.
Comment 4 Eric Doutreleau 2008-02-06 03:45:59 EST
it works 

thank you very much
Comment 5 Fedora Update System 2008-02-07 18:35:27 EST
NetworkManager-openvpn-0.7.0-8.svn3302.fc8 has been submitted as an update for Fedora 8
Comment 6 Tim Niemueller 2008-02-07 18:37:02 EST
See
https://admin.fedoraproject.org/updates/F8/pending/NetworkManager-openvpn-0.7.0-8.svn3302.fc8
to test and rate the upgrade. Sorry for the delay, kinda overloaded these days...
Comment 7 Fedora Update System 2008-02-12 23:57:26 EST
NetworkManager-openvpn-0.7.0-8.svn3302.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager-openvpn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1496
Comment 8 Fedora Update System 2008-02-28 16:42:06 EST
NetworkManager-openvpn-0.7.0-8.svn3302.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.